// variables globales
@laptop: ~"screen and (min-width: 420px)";
@mobile: ~"screen and (max-width: 420px)";


html,
body {
    height: 100%;
    width : 100%;
}

html {
    scroll-behavior: smooth;
}

p,
span {
    margin-bottom: 0 !important;
    font-family  : 'louis_george_caferegular', 'Times New Roman', Times, serif;
}

a {
    color: #dfa855 !important;
}

a:hover {
    color          : white !important;
    text-decoration: none !important;
}

h2 {
    font-family: 'caviar_dreamsregular', Arial, Helvetica, sans-serif;
}

h3 {
    font-family   : 'caviar_dreamsregular', Arial, Helvetica, sans-serif;
    padding-bottom: 2rem;
}


.fadein {
    opacity: 0;
}

.shadow {
    background-color: white;

    p {
        color: black;
    }
}

header {
    .bg-dark {
        background-color: black !important;
    }

    a {
        font-size: 1.3rem;
    }
}

.row {
    margin-left : 0px !important;
    margin-right: 0px !important;
}

.row>.col-md {
    margin    : auto;
    text-align: center;
}

.centered-bottom>a>img {
    width : 2rem;
    height: 2rem;
    top   : 50%;
}

.centered {
    position  : absolute;
    top       : 40%;
    left      : 50%;
    transform : translate(-50%, -50%);
    color     : white !important;
    text-align: center;
}

.centered-bottom {
    position  : absolute;
    top       : 95%;
    left      : 50%;
    transform : translate(-50%, -50%);
    color     : white !important;
    text-align: center;
}

.centered .row {
    background-color: rgba(0, 0, 0, 0);
    justify-content : center;
    padding         : 1rem;
}

.parallax-main {
    background-image: url("../img/bg_main.webp");
    height          : 100vh;
    /*Effet parralax*/
    background-attachment: fixed;
    background-position  : center;
    background-repeat    : no-repeat;
    background-size      : cover;
}

#pres,
#competences {
    min-height: 103vh;
}

#pres {
    background: linear-gradient(to bottom right, pink, rgb(124, 124, 248));
}

#diplomes {
    background: linear-gradient(to bottom right, rgb(124, 124, 248), pink);
    min-height: 80vh;

    .col-md {
        padding-top   : 3rem;
        padding-bottom: 3rem;
    }

    div {
        text-align: center;
        min-height: 4rem;
        margin-top: 4rem;
    }

    #gear {
        animation       : animationGear 3s ease infinite;
        transform-origin: center center;
        margin-bottom   : 1rem;
        height          : 3rem;
    }

    #books {
        animation: animationBooks 3s ease infinite;
    }

    span:hover {
        color : white;
        cursor: pointer;
    }
}

#contact {
    color           : white;
    min-height      : 10vh;
    background-color: black;

    a {
        top : 50%;
        left: 50%;
    }

    img {
        width    : 3rem;
        height   : auto;
        position : relative;
        top      : 50%;
        transform: translateY(-50%);
    }
}

#competences {
    background    : linear-gradient(to top right, rgb(124, 124, 248), pink);
    padding-top   : 3rem;
    padding-bottom: 3rem;

    img {
        width     : 4rem;
        height    : auto;
        margin    : 2rem;
        transition: filter .5s ease 0s;
    }

    img:hover {
        filter: invert(100%);
    }

    .container-fluid {
        padding-right: 4rem;
        padding-left : 4rem;
    }

    .container-fluid .row,
    #competences .container-fluid .col-md {
        text-align: center;
    }
}

#projets {
    min-height: 103vh;
    background: linear-gradient(to top right, rgb(124, 124, 248), pink);

    .col-md,
    .row,
    .col-md-4 {
        padding: 0;
        height : 100%;
    }

    img {
        width: 100%;
    }
}

#projets>.col-md>h2 {
    padding: 1rem;
}

footer {
    img:hover {
        cursor: pointer;
    }
    div div > img{
        filter: invert(100%);
    }

    #mentions {
        background-color: black;

        .col {
            text-align: center;

            p,
            span {
                font-size: 1rem;
                color    : white;
            }

            a {
                font-family: 'louis_george_caferegular', 'Times New Roman', Times, serif;
                font-size  : 1rem;
            }
        }
    }
}

.overlay {
    position        : absolute;
    top             : 0;
    bottom          : 0;
    left            : 0;
    right           : 0;
    height          : 100%;
    width           : 100%;
    opacity         : 0;
    transition      : opacity .5s ease 0s;
    background-color: black;
}

.col-md:hover .overlay,
.col-md-4:hover .overlay {
    opacity: 0.9;
}

.text {
    color     : white;
    text-align: center;
    padding   : 1rem;
    position  : relative;
    top       : 50%;
    transform : translateY(-50%);

    h3 {
        padding-bottom: 0;
    }
}

.centered img {
    height       : 200px;
    width        : auto;
    border-radius: 50%;
    animation    : arriveePortrait 3s ease;
}

/* images svg */

.parallax-main path {
    stroke          : white;
    fill            : white;
    stroke-dasharray: 1000;
    opacity         : 10;
    animation       : animationTexte 3s cubic-bezier(0, 0.23, 1, .1);
}


/* ************** Animation du portrait ************* */

@keyframes arriveePortrait {
    0% {
        height: 0;
    }

    50% {
        height: 210px;
    }

    100% {
        height: 200px;
    }
}

/* ************** Animation du logo gear .svg ************* */

@keyframes animationGear {
    0% {
        transform: rotate(0deg);
        height   : 3rem;
    }

    30% {
        height: 2.5rem;
    }

    100% {
        height   : 3rem;
        transform: rotate(360deg);
    }
}

/* ************** Animation du logo books .svg ************* */

@keyframes animationBooks {
    0% {
        height: 2.5rem;
    }

    30% {
        height: 3rem;
    }

    100% {
        height: 2.5rem;
    }
}

/* ************** Animation du texte .svg ************* */

@keyframes animationTexte {
    0% {
        opacity          : 10;
        fill             : none;
        stroke-dashoffset: 1000;
    }

    30% {
        opacity          : 10;
        fill             : none;
        stroke-dashoffset: 1000;
    }

    90% {
        fill: rgba(255, 255, 255, 0);
    }

    100% {
        opacity          : 10;
        stroke-dashoffset: 0;
        fill             : rgba(255, 255, 255, 1);
    }
}

/* ************** Animation du bandeau cookies ************* */
@keyframes animationCookies {
    0% {
        top: 8rem;
    }

    60% {
        background-color: rgba(0, 0, 0, 0);
    }

    100% {
        top             : 0;
        background-color: rgba(0, 0, 0, 0.8);

    }
}

/* ************** Fin animation ************* */

/* ************************* Bandeau cookies ************************* */

/* The Modal (background) */
header .modal {
    display            : flex;
    align-items        : flex-end;
    top                : 8rem;
    animation          : animationCookies 1.5s ease;
    animation-delay    : 3.5s;
    animation-fill-mode: forwards;
    background-color   : rgba(0, 0, 0, 0);
}

/* Modal Content/Box */
header .modal-content {
    @media @laptop {
        height: 4rem;
    }

    @media @mobile {
        height: 6rem;
    }

    padding: 1rem;
    display: block;

    img {
        width         : 2rem;
        height        : auto;
        margin-right  : 0.5rem;
        vertical-align: bottom;
    }
}

.close:hover,
.close:focus {
    color          : black;
    text-decoration: none;
    cursor         : pointer;
}

/* ************************* fin bandeau cookies ************************* */

/* ************************* Formulaire pop-up ************************* */

/* Formulaire caché par défaut */
#formulaireContact {
    background : linear-gradient(to top right, rgb(124, 124, 248), pink);
    display    : none;
    bottom     : 5rem;
    border-left: 50%;
    z-index    : 9;

    /* style */
    .form-container {
        padding: 10px;

        @media @laptop {
            width: 70%;
        }

        @media @mobile {
            width: 100%;
        }
    }

    /* style pour les input */
    input {
        width     : 50%;
        padding   : 15px;
        margin    : 5px 0 22px 0;
        border    : 1px solid grey;
        background: white;
        color     : black;
    }

    input:valid {
        border: 1px solid rgb(26, 160, 8);
    }

    textarea {
        max-width : 50%;
        background: white;
        color     : black;
    }

    /* style pour les boutons */
    .btn {
        background-color: rgb(39, 88, 40);
        color           : white;
        padding         : 16px 20px;
        border          : none;
        cursor          : pointer;
        width           : 50%;
        margin-bottom   : 10px;
        margin-top      : 10px;
        opacity         : 0.8;
    }

    /* background rouge pour le bouton d'annulation */
    .cancel {
        background-color: rgb(126, 11, 11);
    }

    /* hover effets */
    .btn:hover,
    .open-button:hover {
        opacity: 1;
        color  : white;
    }
}

/* ************************* Fin formulaire pop-up ************************* */

/* **********************Ecran smartphone********************** */

@media @mobile {

    p,
    span {
        font-size  : 1.3rem;
        line-height: 1.8rem;
    }

    h1,
    h2 {
        font-size: 2rem !important;
    }

    .row>.col-md p {
        margin-left : auto;
        margin-right: auto;
        text-align  : center;
        line-height : 2rem;
    }

    .centered .row {
        padding: 0.3rem;
    }

    svg {
        width : 200px;
        height: 30px;
    }

    .overlay {
        .text {
            h3 {
                font-size: 1.5rem;
            }

            p {
                font-size: 0.8rem;
            }
        }
    }
}

/* ************************************************************ */

/* ********************* Ecran ordinateur ********************* */

@media @laptop {

    p,
    span {
        font-size  : 1.3rem;
        line-height: 2rem;
    }

    h2 {
        font-size: 2.3rem !important;
    }

    body div h3 {
        font-size: 1.5rem;
    }

    #diplomes p,
    span {
        font-size: 1.6rem;
    }

    .parallax-last {
        background-image: url("../img/parallax/parallax_last.webp");
        height          : 50vh;
        /*Effet parralax*/
        background-attachment: fixed;
        background-position  : center;
        background-repeat    : no-repeat;
        background-size      : cover;
    }

    #competences {
        .row {
            padding-top   : 0px;
            padding-bottom: 1rem;
        }

        p {
            font-size: 1rem;
        }

        h3 {
            padding-bottom: 1rem;
        }
    }

    .btn-group {
        max-width: 11rem;
    }

    .row>.col-md p {
        margin-left : auto;
        margin-right: auto;
    }

    svg {
        width : 400px;
        height: 50px;
    }
}

/* ************************************************************ */